| Home | Libraries | People | FAQ | More

## Function template make_managed_unique_ptr

boost::interprocess::make_managed_unique_ptr

## Synopsis

    // In header: <boost/interprocess/smart_ptr/unique_ptr.hpp>

    template<typename T, typename ManagedMemory>
      managed_unique_ptr< T, ManagedMemory >::type
      make_managed_unique_ptr(T * constructed_object,
                              ManagedMemory & managed_memory);

## Description

Returns an instance of a unique pointer constructed with boost::interproces::deleter from a pointer of type T that has been allocated in the passed managed segment